{
  "id": "0",
  "name": "administration-db",
  "createdAt": "2025-01-25T11:15:11.340Z",
  "updatedAt": "2025-01-25T11:15:11.340Z",
  "databaseType": "mariadb",
  "tables": [
    {
      "id": "1",
      "name": "member_executive_positions",
      "schema": "administration",
      "x": -219.35715487503788,
      "y": 381.05116748606133,
      "fields": [
        {
          "id": "2",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "3",
          "name": "note",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "4",
          "name": "start",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "5",
          "name": "end",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896260
        },
        {
          "id": "6",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "7",
          "name": "executivePositionId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        }
      ],
      "indexes": [
        {
          "id": "8",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "2"
          ],
          "createdAt": 1734524896260
        },
        {
          "id": "9",
          "name": "FK_2912b056a5d0b7977360a986164",
          "unique": false,
          "fieldIds": [
            "6"
          ],
          "createdAt": 1734524896260
        },
        {
          "id": "10",
          "name": "FK_1fd52c8f109123e5a2c67dc2c83",
          "unique": false,
          "fieldIds": [
            "7"
          ],
          "createdAt": 1734524896260
        }
      ],
      "color": "#7175fa",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896260,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "11",
      "name": "member_executive_positions_view",
      "schema": "administration",
      "x": 264.1967276500884,
      "y": 676.2788988891771,
      "fields": [
        {
          "id": "12",
          "name": "positionId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "0",
          "createdAt": 1734524896258
        },
        {
          "id": "13",
          "name": "position",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "14",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "0",
          "createdAt": 1734524896258
        },
        {
          "id": "15",
          "name": "memberSalutation",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "'none'",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "16",
          "name": "memberFirstname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "17",
          "name": "memberLastname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "18",
          "name": "memberNameaffix",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "19",
          "name": "memberBirthdate",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "createdAt": 1734524896258
        },
        {
          "id": "20",
          "name": "durationInDays",
          "type": {
            "id": "decimal",
            "name": "decimal"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "precision": 42,
          "default": "NULL",
          "createdAt": 1734524896258
        }
      ],
      "indexes": [],
      "color": "#b0b0b0",
      "isView": true,
      "isMaterializedView": false,
      "createdAt": 1734524896258,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "21",
      "name": "member_view",
      "schema": "administration",
      "x": 508.27179239535667,
      "y": 677.5403165222169,
      "fields": [
        {
          "id": "22",
          "name": "member_id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "default": "0",
          "createdAt": 1734524896257
        },
        {
          "id": "23",
          "name": "member_salutation",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "default": "'none'",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896257
        },
        {
          "id": "24",
          "name": "member_firstname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896257
        },
        {
          "id": "25",
          "name": "member_lastname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896257
        },
        {
          "id": "26",
          "name": "member_nameaffix",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896257
        },
        {
          "id": "27",
          "name": "member_birthdate",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896257
        },
        {
          "id": "28",
          "name": "member_sendNewsletterId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896257
        },
        {
          "id": "29",
          "name": "todayAge",
          "type": {
            "id": "bigint",
            "name": "bigint"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896257
        },
        {
          "id": "30",
          "name": "ageThisYear",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896257
        }
      ],
      "indexes": [],
      "color": "#b0b0b0",
      "isView": true,
      "isMaterializedView": false,
      "createdAt": 1734524896258,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "31",
      "name": "award",
      "schema": "administration",
      "x": -516.1971747692016,
      "y": -52.80391696424441,
      "fields": [
        {
          "id": "32",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "33",
          "name": "award",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        }
      ],
      "indexes": [
        {
          "id": "34",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "32"
          ],
          "createdAt": 1734524896259
        }
      ],
      "color": "#8a61f5",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896259,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "35",
      "name": "membership",
      "schema": "administration",
      "x": 423.2353392314366,
      "y": -235.03350158007595,
      "fields": [
        {
          "id": "36",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "37",
          "name": "start",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "38",
          "name": "end",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896260
        },
        {
          "id": "39",
          "name": "terminationReason",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "40",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "41",
          "name": "statusId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        }
      ],
      "indexes": [
        {
          "id": "42",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "36"
          ],
          "createdAt": 1734524896260
        },
        {
          "id": "43",
          "name": "IDX_703f499fe3a9892e3a8790cdfc",
          "unique": true,
          "fieldIds": [],
          "createdAt": 1734524896260
        },
        {
          "id": "44",
          "name": "FK_3b4b41597707b13086e71727422",
          "unique": false,
          "fieldIds": [
            "40"
          ],
          "createdAt": 1734524896260
        },
        {
          "id": "45",
          "name": "FK_e9fd4d37c4ac0fb08bd6eeeda3c",
          "unique": false,
          "fieldIds": [
            "41"
          ],
          "createdAt": 1734524896260
        }
      ],
      "color": "#9ef07a",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896260,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "46",
      "name": "member_awards",
      "schema": "administration",
      "x": -216.91510328602516,
      "y": -232.36986931397112,
      "fields": [
        {
          "id": "47",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896258
        },
        {
          "id": "48",
          "name": "given",
          "type": {
            "id": "tinyint",
            "name": "tinyint"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "default": "1",
          "createdAt": 1734524896258
        },
        {
          "id": "49",
          "name": "note",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "50",
          "name": "date",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896258
        },
        {
          "id": "51",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896258
        },
        {
          "id": "52",
          "name": "awardId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896258
        }
      ],
      "indexes": [
        {
          "id": "53",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "47"
          ],
          "createdAt": 1734524896258
        },
        {
          "id": "54",
          "name": "FK_a47e04bfd3671d8a375d1896d25",
          "unique": false,
          "fieldIds": [
            "51"
          ],
          "createdAt": 1734524896258
        },
        {
          "id": "55",
          "name": "FK_ba47b44c2ddf34c1bcc75df6675",
          "unique": false,
          "fieldIds": [
            "52"
          ],
          "createdAt": 1734524896258
        }
      ],
      "color": "#42e0c0",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896258,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "56",
      "name": "membership_status",
      "schema": "administration",
      "x": 704.4577624962558,
      "y": -196.5627932702164,
      "fields": [
        {
          "id": "57",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "58",
          "name": "status",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        }
      ],
      "indexes": [
        {
          "id": "59",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "57"
          ],
          "createdAt": 1734524896259
        }
      ],
      "color": "#ff6b8a",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896259,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "60",
      "name": "member",
      "schema": "administration",
      "x": 100,
      "y": 100,
      "fields": [
        {
          "id": "61",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "62",
          "name": "firstname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "63",
          "name": "lastname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "64",
          "name": "nameaffix",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "65",
          "name": "birthdate",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "66",
          "name": "internalId",
          "type": {
            "name": "varchar",
            "id": "varchar"
          },
          "unique": false,
          "nullable": true,
          "primaryKey": false,
          "createdAt": 1736351121650
        },
        {
          "id": "67",
          "name": "salutationId",
          "type": {
            "name": "int",
            "id": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "default": "'none'",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "68",
          "name": "sendNewsletterId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": true,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896259
        }
      ],
      "indexes": [
        {
          "id": "69",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "61"
          ],
          "createdAt": 1734524896259
        },
        {
          "id": "70",
          "name": "REL_d57e160c4513cd949159217281",
          "unique": true,
          "fieldIds": [
            "68"
          ],
          "createdAt": 1734524896259
        }
      ],
      "color": "#b067e9",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896259,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "71",
      "name": "communication_type",
      "schema": "administration",
      "x": 735.756546723297,
      "y": 175.00748910518985,
      "fields": [
        {
          "id": "72",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "73",
          "name": "type",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "74",
          "name": "useColumns",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "default": "''",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        }
      ],
      "indexes": [
        {
          "id": "75",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "72"
          ],
          "createdAt": 1734524896259
        }
      ],
      "color": "#8eb7ff",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896259,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "76",
      "name": "membership_view",
      "schema": "administration",
      "x": -237.8546813502495,
      "y": 674.2146471156595,
      "fields": [
        {
          "id": "77",
          "name": "statusId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "0",
          "createdAt": 1734524896261
        },
        {
          "id": "78",
          "name": "status",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896261
        },
        {
          "id": "79",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "0",
          "createdAt": 1734524896261
        },
        {
          "id": "80",
          "name": "memberSalutation",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "'none'",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896261
        },
        {
          "id": "81",
          "name": "memberFirstname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896261
        },
        {
          "id": "82",
          "name": "memberLastname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896261
        },
        {
          "id": "83",
          "name": "memberNameaffix",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896261
        },
        {
          "id": "84",
          "name": "memberBirthdate",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "createdAt": 1734524896261
        },
        {
          "id": "85",
          "name": "durationInDays",
          "type": {
            "id": "decimal",
            "name": "decimal"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "precision": 42,
          "default": "NULL",
          "createdAt": 1734524896261
        }
      ],
      "indexes": [],
      "color": "#b0b0b0",
      "isView": true,
      "isMaterializedView": false,
      "createdAt": 1734524896261,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "86",
      "name": "member_qualifications_view",
      "schema": "administration",
      "x": 10.004636294139118,
      "y": 676.7503251549197,
      "fields": [
        {
          "id": "87",
          "name": "qualificationId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "0",
          "createdAt": 1734524896258
        },
        {
          "id": "88",
          "name": "qualification",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "89",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "0",
          "createdAt": 1734524896258
        },
        {
          "id": "90",
          "name": "memberSalutation",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "'none'",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "91",
          "name": "memberFirstname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "92",
          "name": "memberLastname",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "93",
          "name": "memberNameaffix",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896258
        },
        {
          "id": "94",
          "name": "memberBirthdate",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "createdAt": 1734524896258
        },
        {
          "id": "95",
          "name": "durationInDays",
          "type": {
            "id": "decimal",
            "name": "decimal"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "precision": 42,
          "default": "NULL",
          "createdAt": 1734524896258
        }
      ],
      "indexes": [],
      "color": "#b0b0b0",
      "isView": true,
      "isMaterializedView": false,
      "createdAt": 1734524896258,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "96",
      "name": "communication",
      "schema": "administration",
      "x": 451.18827622650076,
      "y": 30.864861528371677,
      "fields": [
        {
          "id": "97",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "98",
          "name": "preferred",
          "type": {
            "id": "tinyint",
            "name": "tinyint"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "default": "0",
          "createdAt": 1734524896260
        },
        {
          "id": "99",
          "name": "mobile",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "100",
          "name": "email",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "101",
          "name": "postalCode",
          "type": {
            "name": "varchar",
            "id": "varchar"
          },
          "unique": false,
          "nullable": true,
          "primaryKey": false,
          "createdAt": 1736688552836
        },
        {
          "id": "102",
          "name": "city",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "103",
          "name": "street",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "104",
          "name": "streetNumber",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896260
        },
        {
          "id": "105",
          "name": "streetNumberAddition",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "106",
          "name": "typeId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "107",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "108",
          "name": "isSMSAlarming",
          "type": {
            "id": "tinyint",
            "name": "tinyint"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "default": "0",
          "createdAt": 1734524896260
        }
      ],
      "indexes": [
        {
          "id": "109",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "97"
          ],
          "createdAt": 1734524896260
        },
        {
          "id": "110",
          "name": "FK_21994db635b47e07f45b2686a51",
          "unique": false,
          "fieldIds": [
            "106"
          ],
          "createdAt": 1734524896260
        },
        {
          "id": "111",
          "name": "FK_fc5f59e5c9aafdedd25ed8ed36e",
          "unique": false,
          "fieldIds": [
            "107"
          ],
          "createdAt": 1734524896260
        }
      ],
      "color": "#ffe374",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896260,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "112",
      "name": "member_qualifications",
      "schema": "administration",
      "x": -250.37357560579426,
      "y": 82.72883357238302,
      "fields": [
        {
          "id": "113",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "114",
          "name": "note",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "115",
          "name": "start",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "116",
          "name": "end",
          "type": {
            "id": "date",
            "name": "date"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "default": "NULL",
          "createdAt": 1734524896259
        },
        {
          "id": "117",
          "name": "terminationReason",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896259
        },
        {
          "id": "118",
          "name": "memberId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896259
        },
        {
          "id": "119",
          "name": "qualificationId",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "createdAt": 1734524896259
        }
      ],
      "indexes": [
        {
          "id": "120",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "113"
          ],
          "createdAt": 1734524896259
        },
        {
          "id": "121",
          "name": "FK_98b70e687c35709d2f01b3d7d74",
          "unique": false,
          "fieldIds": [
            "118"
          ],
          "createdAt": 1734524896259
        },
        {
          "id": "122",
          "name": "FK_dbebe53df1caa0b6715a220b0ea",
          "unique": false,
          "fieldIds": [
            "119"
          ],
          "createdAt": 1734524896259
        }
      ],
      "color": "#ff6b8a",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896259,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "123",
      "name": "executive_position",
      "schema": "administration",
      "x": -542.0601569820527,
      "y": 474.7348899814151,
      "fields": [
        {
          "id": "124",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "125",
          "name": "position",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        }
      ],
      "indexes": [
        {
          "id": "126",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "124"
          ],
          "createdAt": 1734524896260
        }
      ],
      "color": "#ff6363",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896260,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "127",
      "name": "qualification",
      "schema": "administration",
      "x": -568.0578068648438,
      "y": 192.56221408776412,
      "fields": [
        {
          "id": "128",
          "name": "id",
          "type": {
            "id": "int",
            "name": "int"
          },
          "primaryKey": true,
          "unique": true,
          "nullable": false,
          "createdAt": 1734524896260
        },
        {
          "id": "129",
          "name": "qualification",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": false,
          "character_maximum_length": "255",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        },
        {
          "id": "130",
          "name": "description",
          "type": {
            "id": "varchar",
            "name": "varchar"
          },
          "primaryKey": false,
          "unique": false,
          "nullable": true,
          "character_maximum_length": "255",
          "default": "NULL",
          "collation": "utf8mb4_general_ci",
          "createdAt": 1734524896260
        }
      ],
      "indexes": [
        {
          "id": "131",
          "name": "PRIMARY",
          "unique": true,
          "fieldIds": [
            "128"
          ],
          "createdAt": 1734524896260
        }
      ],
      "color": "#9ef07a",
      "isView": false,
      "isMaterializedView": false,
      "createdAt": 1734524896260,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "132",
      "name": "salutation",
      "x": 428.6069830535669,
      "y": 516.5938067201159,
      "fields": [
        {
          "id": "133",
          "name": "id",
          "type": {
            "name": "int",
            "id": "int"
          },
          "unique": true,
          "nullable": false,
          "primaryKey": true,
          "createdAt": 1737803524494
        },
        {
          "id": "134",
          "name": "salutation",
          "type": {
            "name": "varchar",
            "id": "varchar"
          },
          "unique": false,
          "nullable": false,
          "primaryKey": false,
          "createdAt": 1737803546875
        }
      ],
      "indexes": [],
      "color": "#4dee8a",
      "createdAt": 1737803524494,
      "isView": false,
      "order": 15
    }
  ],
  "relationships": [
    {
      "id": "135",
      "name": "FK_1fd52c8f109123e5a2c67dc2c83",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "1",
      "targetTableId": "123",
      "sourceFieldId": "7",
      "targetFieldId": "124",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "136",
      "name": "FK_21994db635b47e07f45b2686a51",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "96",
      "targetTableId": "71",
      "sourceFieldId": "106",
      "targetFieldId": "72",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "137",
      "name": "FK_2912b056a5d0b7977360a986164",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "1",
      "targetTableId": "60",
      "sourceFieldId": "6",
      "targetFieldId": "61",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "138",
      "name": "FK_3b4b41597707b13086e71727422",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "35",
      "targetTableId": "60",
      "sourceFieldId": "40",
      "targetFieldId": "61",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "139",
      "name": "FK_98b70e687c35709d2f01b3d7d74",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "112",
      "targetTableId": "60",
      "sourceFieldId": "118",
      "targetFieldId": "61",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "140",
      "name": "FK_a47e04bfd3671d8a375d1896d25",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "46",
      "targetTableId": "60",
      "sourceFieldId": "51",
      "targetFieldId": "61",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "141",
      "name": "FK_ba47b44c2ddf34c1bcc75df6675",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "46",
      "targetTableId": "31",
      "sourceFieldId": "52",
      "targetFieldId": "32",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "142",
      "name": "FK_dbebe53df1caa0b6715a220b0ea",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "112",
      "targetTableId": "127",
      "sourceFieldId": "119",
      "targetFieldId": "128",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "143",
      "name": "FK_e9fd4d37c4ac0fb08bd6eeeda3c",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "35",
      "targetTableId": "56",
      "sourceFieldId": "41",
      "targetFieldId": "57",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "144",
      "name": "FK_fc5f59e5c9aafdedd25ed8ed36e",
      "sourceSchema": "administration",
      "targetSchema": "administration",
      "sourceTableId": "96",
      "targetTableId": "60",
      "sourceFieldId": "107",
      "targetFieldId": "61",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1734524896262,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "145",
      "name": "member_salutationId_fk",
      "sourceSchema": "administration",
      "sourceTableId": "60",
      "targetSchema": "administration",
      "targetTableId": "132",
      "sourceFieldId": "67",
      "targetFieldId": "133",
      "sourceCardinality": "many",
      "targetCardinality": "one",
      "createdAt": 1737803651894
    }
  ],
  "dependencies": [
    {
      "id": "146",
      "schema": "administration",
      "tableId": "60",
      "dependentSchema": "administration",
      "dependentTableId": "76",
      "createdAt": 1734524897297,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "147",
      "schema": "administration",
      "tableId": "127",
      "dependentSchema": "administration",
      "dependentTableId": "86",
      "createdAt": 1734524897266,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "148",
      "schema": "administration",
      "tableId": "112",
      "dependentSchema": "administration",
      "dependentTableId": "86",
      "createdAt": 1734524897267,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "149",
      "schema": "administration",
      "tableId": "60",
      "dependentSchema": "administration",
      "dependentTableId": "11",
      "createdAt": 1734524897283,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "150",
      "schema": "administration",
      "tableId": "1",
      "dependentSchema": "administration",
      "dependentTableId": "11",
      "createdAt": 1734524897283,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "151",
      "schema": "administration",
      "tableId": "60",
      "dependentSchema": "administration",
      "dependentTableId": "21",
      "createdAt": 1734524897244,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "152",
      "schema": "administration",
      "tableId": "56",
      "dependentSchema": "administration",
      "dependentTableId": "76",
      "createdAt": 1734524897297,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "153",
      "schema": "administration",
      "tableId": "35",
      "dependentSchema": "administration",
      "dependentTableId": "76",
      "createdAt": 1734524897297,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "154",
      "schema": "administration",
      "tableId": "123",
      "dependentSchema": "administration",
      "dependentTableId": "11",
      "createdAt": 1734524897283,
      "diagramId": "7gb18czobyir"
    },
    {
      "id": "155",
      "schema": "administration",
      "tableId": "60",
      "dependentSchema": "administration",
      "dependentTableId": "86",
      "createdAt": 1734524897266,
      "diagramId": "7gb18czobyir"
    }
  ]
}